NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Protected Member Functions | Properties | List of all members
NXOpen.Annotations.ArcComponent Class Reference

Represents a single arc in an annotation and can be queried for information about that arc. More...

Inheritance diagram for NXOpen.Annotations.ArcComponent:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Types

enum  ArcType {
  Extension, Dimension, AllAround, Annotation,
  Inspection, AllOver, GbDatum
}
 the arc type More...
 

Protected Member Functions

override void FreeResource ()
 Free resources associated with the arc component. More...
 

Properties

unsafe NXOpen.Point3d CenterPoint [get]
 Returns the arc center point in absolute coordinates. More...
 
unsafe double EndAngle [get]
 Returns the arc end angle in radians. More...
 
unsafe int Index [get]
 Returns the arc index. More...
 
unsafe double Radius [get]
 Returns the arc radius. More...
 
unsafe double StartAngle [get]
 Returns the arc start angle in radians. More...
 
unsafe
NXOpen.Annotations.ArcComponent.ArcType 
Type [get]
 Returns the arc type. More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 

Detailed Description

Represents a single arc in an annotation and can be queried for information about that arc.

This information includes the arc type, the start angle, the end angle, the radius, and the center point in absolute coordinates.

Created in NX6.0.0

Member Enumeration Documentation

the arc type

Enumerator
Extension 

extension arc

Dimension 

dimension arc

AllAround 

all around

Annotation 

annotation arc

Inspection 

inspection arc

AllOver 

all over

GbDatum 

GB Datum arc

Member Function Documentation

override void NXOpen.Annotations.ArcComponent.FreeResource ( )
inlineprotectedvirtual

Free resources associated with the arc component.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX6.0.0

License requirements: None.

Implements NXOpen.TransientObject.

Property Documentation

unsafe NXOpen.Point3d NXOpen.Annotations.ArcComponent.CenterPoint
get

Returns the arc center point in absolute coordinates.

If the annotation is on a drawing, the center point is returned in drawing space. If the annotation is on the model, the center point is returned in model space.

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Annotations.ArcComponent.EndAngle
get

Returns the arc end angle in radians.

Created in NX6.0.0

License requirements: None.

unsafe int NXOpen.Annotations.ArcComponent.Index
get

Returns the arc index.

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Annotations.ArcComponent.Radius
get

Returns the arc radius.

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Annotations.ArcComponent.StartAngle
get

Returns the arc start angle in radians.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.ArcComponent.ArcType NXOpen.Annotations.ArcComponent.Type
get

Returns the arc type.

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.